FS_PRECACHE(1)

NAME
fs_precache - Set precache size

SYNOPSIS
fs precache -blocks <size in 1K blocks>
    [-help]

fs p -b <size in 1K blocks>
    [-h]

DESCRIPTION
The fs precache command configures to what degree the Cache Manager will attempt to prefetch cache blocks when an application opens a file for reading. If this behavior is enabled, whenever a file is opened for reading, the Cache Manager will immediately initiate an asynchronous fetch request for that file. This fetch request will fetch the configured amount of data for that file, and store the data in the cache. In some scenarios, this can improve performance.

Note that this prefetching behavior is done by the Cache Manager itself. The underlying Operating System may also perform its own prefetching behavior, depending on various settings or application hints.

This command was introduced in OpenAFS 1.5.37.

OPTIONS

-blocks <size in 1K blocks>
    Specifies how much data to prefetch for each applicable file, in 1024-byte blocks. Specify 0 to disable prefetching behavior. By default, prefetching is disabled.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If the specified precache size has been set successfully, the following message will be printed:

   New precache size set.

EXAMPLES
The following command configures the Cache Manager to prefetch the first 100 kilobytes of any file that's opened for reading:

   % fs precache -blocks 100
   New precache size set.

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser "root".

SEE ALSO
afsd(8)

COPYRIGHT
Copyright 2013 Sine Nomine Associates

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Andrew Deason for OpenAFS.